TRUNCATE(1)

NAZWA
truncate - zmniejsza lub zwiększa rozmiar pliku do określonego rozmiaru

SKŁADNIA
truncate OPCJA... PLIK...

OPIS

Jeśli podany PLIK nie istnieje, jest tworzony.

If a FILE is larger than the specified size, the extra data is lost. If a FILE is shorter, it is extended and the sparse extended part (hole) reads as zero bytes.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-c, --no-create
    nie tworzy żadnych plików

-o, --io-blocks
    traktuje ROZMIAR jako liczbę bloków wejścia/wyjścia, a nie bajtów

-r, --reference=PLIK-WZORC
    używa rozmiaru PLIKU-WZORC

-s, --size=ROZMIAR
    ustawia lub dopasowuje rozmiar pliku według ROZMIARU bajtów

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10K to 10*1024). Jednostki to: K, M, G, T, P, E, Z, Y (potęgi 1024) lub KB, MB itd. (potęgi 1000). Można używać również przyrostków binarnych, np. KiB=K, MiB=M itd.

ROZMIAR może zostać również poprzedzony jednym z następujących znaków modyfikujących: + - zwiększ o, - zmniejsz o, < nie więcej niż, > nie mniej niż, / zaokrągl w dół do wielokrotności, % zaokrągl w górę do wielokrotności.

AUTOR
Napisane przez Padraiga Bradyego.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
dd(1), truncate(2), ftruncate(2)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/truncate>
lub lokalnie, za pomocą info '(coreutils) truncate invocation'

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.